{*
* 2019 PayPlug
*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0).
* It is available through the world-wide-web at this URL:
* https://opensource.org/licenses/osl-3.0.php
* If you are unable to obtain it through the world-wide-web, please send an email
* to contact@payplug.com so we can send you a copy immediately.
*
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PayPlug module to newer
 * versions in the future.
*
*  @author PayPlug SAS
*  @copyright 2019 PayPlug SAS
*  @license   https://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*  International Registered Trademark & Property of PayPlug SAS
*}
{if isset($switch_oney) && $switch_oney}
    <div class="panel-row separate_margin_block">
        {include file=$payplug_module_dir|cat:'payplug/views/templates/admin/switch.tpl' switch=$switch_oney}

        <div class="panel-row">
            <div class="block-right">
                <p class="pptips desc">
                    <span class="ppinline">
                        {l s='Allow customers to spread out payments over 3 or 4 installments from %d € to %d €.' mod='payplug' sprintf=[$oney_min_amounts, $oney_max_amounts]}
                        <a href="{$faq_links['oney']|escape:'htmlall':'UTF-8'}"
                           target="_blank">{l s='Learn more.' mod='payplug'}</a>
                    </span>
                </p>
            </div>
        </div>

        <div class="panel-row panel-oney pponeychecked">
            <label class="left-block">&nbsp;</label>
            <div class="block-right">
                <div class="switch switch-oney-tos{if $payplug_oney_tos} ppon{/if}">
                    <input type="radio" class="switch-input"
                           name="payplug_oney_tos" value="0" id="payplug_oney_tos_off"
                           {if !$payplug_oney_tos}checked="checked"{/if}>
                    <label id="payplug_label_oney_tos_off" for="payplug_oney_tos_off" class="switch-label switch-label-off"></label>
                    <input type="radio" class="switch-input"
                           name="payplug_oney_tos" value="1" id="payplug_oney_tos_on"
                           {if $payplug_oney_tos}checked="checked"{/if}>
                    <label id="payplug_label_oney_tos_on" for="payplug_oney_tos_on" class="switch-label switch-label-on"></label>
                    <span class="switch-selection"></span>
                </div>
                <span class="payplug_oney_tos_url_desc">{l s='I integrated the mandatory fields to my terms and conditions on my website.' mod='payplug'}
                    <a href="{$faq_links['oney']|escape:'htmlall':'UTF-8'}#h_f9ffbbdb-e5f2-487f-a709-854eb852e480"
                       target="_blank">{l s='Learn more.' mod='payplug'}</a>
                    <br />
                    <span id="tos_group" {if $payplug_oney_tos == 0} class="hide"{/if}>{l s='Please enter your General terms and conditions URL here: ' mod='payplug'}
                        <input  id="tos_url"
                                type="text"
                                class="payplug_oney_tos_url"
                                name="payplug_oney_tos_url"
                                placeholder="ex : http://monsite.fr/mes-cgv"
                                {if $payplug_oney_tos_url}
                                    value="{$payplug_oney_tos_url|escape:'htmlall':'UTF-8'}"
                                {/if}
                        >
                    </span>
                    <br />
                    <span id="error_invalid_url" class="hide">{l s='Error : Please enter a valid URL.' mod='payplug'}</span>
                </span>
            </div>
        </div>
        <div class="panel-row panel-oney pponeychecked">
            <label class="left-block"></label>
            <div class="block-right">
                <div class="switch switch-oney-optimized{if $payplug_oney_optimized} ppon{/if}">
                    <input type="radio" class="switch-input"
                           name="payplug_oney_optimized" value="0" id="payplug_oney_optimized_off"
                           {if !$payplug_oney_optimized}checked="checked"{/if}>
                    <label id="payplug_label_oney_optimized_off" for="payplug_oney_optimized_off" class="switch-label switch-label-off"></label>
                    <input type="radio" class="switch-input"
                           name="payplug_oney_optimized" value="1" id="payplug_oney_optimized_on"
                           {if $payplug_oney_optimized}checked="checked"{/if}>
                    <label id="payplug_label_oney_optimized_on" for="payplug_oney_optimized_on" class="switch-label switch-label-on"></label>
                    <span class="switch-selection"></span>
                </div>
                <span class="oney-optimized"><strong>{l s='Go further' mod='payplug'}</strong>
                    {l s='Maximise your customers\' experience with dynamic calculations of the 3 and 4 instalments by switching on to the advanced configuration.' mod='payplug'}
                    <a href="{$faq_links['oney']|escape:'htmlall':'UTF-8'}#h_2595dd3d-a281-43ab-a51a-4986fecde5ee"
                       target="_blank">{l s='Learn more.' mod='payplug'}</a>
                </span>
            </div>
        </div>
    </div>
{/if}
